#include "Event/rTFileBase.h"
#include "TFile.h"
#include "TROOT.h"

//#############################################
void rTFileBase::open()
//##############################################
{

	std::string name = getFileName();
	if (name == "") return;

	if (getMode() == IOBase::WRITE) {
		m_RFile = new TFile(name.c_str(),"RECREATE"," centella rTFileServer");
	} else if (getMode() == IOBase::READ) {
		m_RFile = new TFile(name.c_str());
	}

	if (m_RFile != 0) setOpen(true); 
}
//###########################
void rTFileBase::close()
//###########################
{
	if (!isOpen()) return;
	m_RFile->cd();
	if (getMode() == IOBase::WRITE) m_RFile->Write();
	m_RFile->Close();
	setOpen(false);
}
//########################
void rTFileBase::clear()
//########################
{
	IOfileVI::clear();
	m_RFile = 0;
}

